# List files in the active bundle

> List files and persisted directories from the active bundle manifest.

GET

/sites/{api\_name}/files/

List files and persisted directories from the active bundle manifest.

### Required Scopes

-   sites.read
    

### Request

Path Parameters

**api\_name** string required

The unique api\_name of the site.

**Example:** employee\_portal

Query Parameters

**parent\_path** string

Directory path to list. Defaults to the bundle root.

**Example:** assets

**recursive** boolean

Whether to list files recursively. Defaults to false.

**Example:** false

## Responses

-   200

Successful response

-   application/json

-   Schema
-   Example (from schema)

**Schema**

**bundle\_id** string

Active bundle identifier.

**entry\_path** string

Entry path for the active bundle.

**parent\_path** string

Directory path used for the listing.

**recursive** boolean

Whether the listing was recursive.

**files** object\[\]

Files in the listing scope.

Array \[

**path** string

Normalized file path inside the active bundle.

**name** string

File name.

**parent\_path** string

Parent directory path.

**content\_type** string

MIME content type.

**size\_bytes** integer

File size in bytes.

**sha256** string

SHA-256 hash of the file contents.

\]

**directories** object\[\]

Directories in the listing scope.

Array \[

**path** string

Normalized directory path inside the active bundle.

**name** string

Directory name.

**parent\_path** string

Parent directory path.

\]

```json
{
  "bundle_id": "string",
  "entry_path": "string",
  "parent_path": "string",
  "recursive": false,
  "files": [
    {
      "path": "string",
      "name": "string",
      "parent_path": "string",
      "content_type": "string",
      "size_bytes": 0,
      "sha256": "string"
    }
  ],
  "directories": [
    {
      "path": "string",
      "name": "string",
      "parent_path": "string"
    }
  ]
}
```

Source: https://developer.rippling.com/documentation/rest-api/reference/files-sites

> For the complete documentation index, see [llms.txt](https://developer.rippling.com/llms.txt). Public pages have a Markdown version at the same URL with .md added.
